import { Request as ExpressRequest, Response as ExpressResponse } from "express";
import { OAuth2 } from "src/utils/util";
import { ENVIRONMENT } from "src/utils/environment";

export const get = async (req: ExpressRequest, res: ExpressResponse): Promise<void> => {
    res.redirect(OAuth2.getAuthUrl({
        client_id: ENVIRONMENT.clientId,
        redirect_url: ENVIRONMENT.redirectUrl,
        response_type: "code",
        scope: "identify",
    }));
};
